> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpoppy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chats

> Retrieve all chat assistants for a specific board

This endpoint returns all available chat assistants that are connected to a specific board.

## Query Parameters

<ParamField query="api_key" type="string">
  Your API key for authentication
</ParamField>

<ParamField query="board_id" type="string" required>
  The ID of the board whose chat assistants you want to retrieve
</ParamField>

## Response

<ResponseField name="data" type="array">
  List of chat assistants attached to the board
</ResponseField>

<ResponseField name="data[].id" type="string">
  Unique identifier for each chat assistant
</ResponseField>

<ResponseField name="data[].conversations" type="array">
  List of existing conversation threads for this chat assistant
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
      "data": [
          {
              "id": "chatNode-patient-star-4uIJt",
              "conversations": [
                  { "id": "xMmCzgatt8TAI1L58LYQ", "name": "Breakdown of fizzy drinks part 1" }
              ]
          },
          {
              "id": "chatNode-icy-feather-45HNI",
              "conversations": [
                  { "id": "OdtFIwEmdhlTrNy5UTNg", "name": "Breakdown of fizzy drinks part 2" }
              ]
          }
      ]
  }
  ```
</ResponseExample>
